Open Bug 1541072 Opened 9 months ago Updated 2 months ago

Shaking elements after scrolling on Reddit

Categories

(Core :: Layout, defect, P3)

defect

Tracking

()

Tracking Status
firefox-esr60 --- disabled
firefox-esr68 --- disabled
firefox67 --- wontfix
firefox68 --- wontfix
firefox69 --- fix-optional
firefox70 --- fix-optional

People

(Reporter: darkspirit, Unassigned)

References

(Regression, )

Details

(Keywords: correctness, nightly-community, regression, Whiteboard: [layout:triage-discuss] [sci-exclude])

Attachments

(9 files)

Attached video 2019-04-02_17-00-32.mp4

Debian Testing, KDE, Macbook Pro

This problem occurs only rarely and - I assume - only with autoscrolling.
Screencast: Jump to 20s.

Type: defect

pretty messed up but probably something we can ignore until linux is higher priority or more people run into it

Blocks: wr-linux
Priority: -- → P3
Duplicate of this bug: 1553409

Qualified WebRender on 67 affected.

Blocks: webrender-site-issues
No longer blocks: wr-linux
OS: Linux → All
Priority: P3 → --
Summary: Shaking elements after autoscrolling on Reddit → Shaking elements after scrolling on Reddit
Blocks: wr-69
Priority: -- → P3

Could this somehow be a duplicate of bug 1528180?

See Also: → 1528180

Do you still see this in 69?

Flags: needinfo?(jan)
Attached video 2019-07-06 00-11-43.mp4

20190705161030, GTX1060, driver 430.86

Flags: needinfo?(jan)

And only with WebRender?

Flags: needinfo?(jan)

Yes, it seems so. I was not able to reproduce it with Basic or Direct3D 11 (Advanced Layers).
Also, it only happens at certain places and is reproducible when scrolling back to the same position.

Flags: needinfo?(jan)
Duplicate of this bug: 1560504
Attached video 2019-07-08 03-23-14.mp4

mozregression --good 2019-01-09 --bad 2019-01-11 --pref gfx.webrender.all:true -a https://www.reddit.com/r/firefox/
19:46.42 INFO: Last good revision: fbe6548db11ded24b5221180719ce66e785dc3c6
19:46.42 INFO: First bad revision: ad851d4345c08f7e0e5d5578652004194a6e667f
19:46.42 INFO: Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=fbe6548db11ded24b5221180719ce66e785dc3c6&tochange=ad851d4345c08f7e0e5d5578652004194a6e667f

Same as last "good" (scrolling sometimes takes a jump):
mozregression --launch 2019-07-07 --pref gfx.webrender.all:true layout.css.scroll-anchoring.enabled:false -a https://www.reddit.com/r/firefox/

Same as first bad:
mozregression --launch 2019-07-07 --pref gfx.webrender.all:true -a https://www.reddit.com/r/firefox/

(In reply to Jan Andre Ikenmeyer [:darkspirit] from comment #11)

Created attachment 9076413 [details]
2019-07-08 03-23-14.mp4

The scroll jump as seen on the left side of the screencast is also reproducible with

  • today's Nightly and gfx.webrender.force-disabled;true layout.css.scroll-anchoring.enabled;false
  • mozregression --launch 2017-03-15 --pref browser.startup.homepage:'https://www.reddit.com/r/firefox/'

Conclusion: Scroll anchoring made an existing non-WR bug look worse with WebRender, but apparently fixed it for non-WR.

Keywords: regression
Regressed by: 1305957
Hardware: x86_64 → All

Bug 1528180 should probably fix it. If somebody can confirm once it's on nightly it'd be great.

Depends on: 1528180

It happens the same to me. In reddit too. I made a video: https://youtu.be/dwffYcQPiQI

It happens since I updated to FF68. config:support says I'm using webrender on windows 10.

Attached video shaking.mp4

Ah, I see, I think that's a different snapping issue, presumably across tiles. My patch should fix problems where the whole scrolling element jitters, but that screencast is different.

Thanks for checking anyhow! :)

So comment 14 and comment 15 look different. Comment 14 shows shaking the whole body, that may have been fixed by bug 1528180. Comment 15 however only shakes in some very specific spots.

Perhaps it makes sense to just a file a new bug for comment 15 so that the different things are clearer here.

Attached video 2019-07-15 18-22-22.mp4

Win10/GTX1060
Either there are multiple bugs on Reddit now, or this bug has changed. It looks related to bug 1565473 comment 3.

See Also: → 1565473

Focus on "Can't download Adblock Plus" at the top and on "Can I open Chrome only sites?" at the bottom

Attached video 2019-07-15 22-13-24.mp4

Picture caching is tortured. Wait until the end.
You see "Posted by u/blablabla 11 hours ago" is jumping.

(In reply to felpaman from comment #14)

It happens the same to me. In reddit too. I made a video: https://youtu.be/dwffYcQPiQI

It happens since I updated to FF68. config:support says I'm using webrender on windows 10.

It keeps happening on 68.0.1

Nical - could you help debug this? Seems like it isn't fixed yet

Flags: needinfo?(nical.bugzilla)
Attached video 2019-07-22 23-00-37.mp4

Win10 1903, GTX1060, Nightly 20190722093634 (rev db8f3ee41bdf525db2d0e5816d26ee654ab6ec7e)

It seems bug 1566712 has fixed broken text and shaking posts.
Left over is a shaking sidebar at 150% zoom: Most often only "ADVERTISEMENT" is shaking a certain scroll positions. This is a rare footage of STR with some more shaking text (sidebar footer).

Depends on: 1566712

I think that this is an old layout bug which hasn't been figured out yet. See bug 1418256 and bug 1419409 for example. Under certain conditions it appears that layout is constantly invalidating and oscillating. It isn't specific to WebRender.

Component: Graphics: WebRender → Layout
Flags: needinfo?(nical.bugzilla)
See Also: → 1418256, 1419409
Attached video 2019-07-23 22-19-49.mp4

Still reproducible with gfx.webrender.picture-caching;false.
As you can see, Devtools indicates everything - not just the sidebar - is jittering.

Attached video 2019-07-23 22-41-39.mp4

With Direct3D 11 (Advanced Layers) the remaining bug is not visible on first sight, but reproducible with DevTools!

No longer blocks: webrender-site-issues, wr-snap, wr-69

Happy to take a patch for 70 or beyond.
Since we are getting close to the end of the 69 beta cycle and this is set to P3, I'm marking it fix-optional for 69 and 70 to remove it from weekly triage.

166 net votes on reddit around this bug - https://www.reddit.com/r/firefox/comments/cx7sfb/reddit_has_jumping_pixels/ - this is starting to gather attention (makes sense, given the traffic on reddit).

Just an FYI.

If the regression range here is accurate (scroll anchoring), perhaps Reddit readers would find it useful if the workaround of setting layout.css.scroll-anchoring.enabled=false was mentioned in the thread?

Whiteboard: [layout:triage-discuss]

Not happening anymore since v69.

Whiteboard: [layout:triage-discuss] → [layout:triage-discuss] [sci-exclude]
You need to log in before you can comment on or make changes to this bug.